/*
 * IncorrectExpression.cpp
 *
 *  Created on: Dec 6, 2012
 *      Author: attero
 */

#include "IncorrectExpression.h"

IncorrectExpression::IncorrectExpression(std::string error_message)
{
	this->error_message = error_message;
	this->type = "IncorrectExpression";
}

IncorrectExpression::~IncorrectExpression() {
	// do nothing
}

SenchaObject IncorrectExpression::evaluate()
{
	SenchaObject null_object;
	return null_object;
}
